<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ru">
<head>
<!-- Generated by javadoc (1.8.0_181) on Fri Apr 26 21:45:30 MSK 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class ru.lanolin.lib.human.Human (server 1.2 API)</title>
<meta name="date" content="2019-04-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class ru.lanolin.lib.human.Human (server 1.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?ru/lanolin/lib/human/class-use/Human.html" target="_top">Frames</a></li>
<li><a href="Human.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class ru.lanolin.lib.human.Human" class="title">Uses of Class<br>ru.lanolin.lib.human.Human</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#ru.lanolin.additions">ru.lanolin.additions</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#ru.lanolin.lib.fete">ru.lanolin.lib.fete</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#ru.lanolin.lib.human">ru.lanolin.lib.human</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#ru.lanolin.server">ru.lanolin.server</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#ru.lanolin.server.thread">ru.lanolin.server.thread</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="ru.lanolin.additions">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a> in <a href="../../../../../ru/lanolin/additions/package-summary.html">ru.lanolin.additions</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a> in <a href="../../../../../ru/lanolin/additions/package-summary.html">ru.lanolin.additions</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ru/lanolin/additions/Guest.html" title="class in ru.lanolin.additions">Guest</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../ru/lanolin/additions/package-summary.html">ru.lanolin.additions</a> with parameters of type <a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Celebrate.</span><code><span class="memberNameLink"><a href="../../../../../ru/lanolin/additions/Celebrate.html#addParticipant-ru.lanolin.lib.human.Human-">addParticipant</a></span>(<a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&nbsp;h)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Guest.</span><code><span class="memberNameLink"><a href="../../../../../ru/lanolin/additions/Guest.html#bowOut-ru.lanolin.lib.human.Human-">bowOut</a></span>(<a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&nbsp;other)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Guest.</span><code><span class="memberNameLink"><a href="../../../../../ru/lanolin/additions/Guest.html#great-ru.lanolin.lib.human.Human-">great</a></span>(<a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&nbsp;other)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Celebrate.</span><code><span class="memberNameLink"><a href="../../../../../ru/lanolin/additions/Celebrate.html#leaveParticipant-ru.lanolin.lib.human.Human-">leaveParticipant</a></span>(<a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&nbsp;h)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Guest.</span><code><span class="memberNameLink"><a href="../../../../../ru/lanolin/additions/Guest.html#rateOutfit-ru.lanolin.lib.human.Human-">rateOutfit</a></span>(<a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&nbsp;other)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructor parameters in <a href="../../../../../ru/lanolin/additions/package-summary.html">ru.lanolin.additions</a> with type arguments of type <a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ru/lanolin/additions/Celebrate.html#Celebrate-java.util.List-int-">Celebrate</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&gt;&nbsp;databases,
         int&nbsp;creator)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ru.lanolin.lib.fete">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a> in <a href="../../../../../ru/lanolin/lib/fete/package-summary.html">ru.lanolin.lib.fete</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../ru/lanolin/lib/fete/package-summary.html">ru.lanolin.lib.fete</a> with type parameters of type <a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Fete.</span><code><span class="memberNameLink"><a href="../../../../../ru/lanolin/lib/fete/Fete.html#guests">guests</a></span></code>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util"><code>List</code></a> , в которой хранятся <a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a>, доступные текущему пользователю</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Fete.</span><code><span class="memberNameLink"><a href="../../../../../ru/lanolin/lib/fete/Fete.html#protectedGuest">protectedGuest</a></span></code>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util"><code>List</code></a>, хранятся все <a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a>, недоступные текущему пользователю</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../ru/lanolin/lib/fete/package-summary.html">ru.lanolin.lib.fete</a> that return <a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></code></td>
<td class="colLast"><span class="typeNameLabel">Fete.</span><code><span class="memberNameLink"><a href="../../../../../ru/lanolin/lib/fete/Fete.html#construct-java.util.Map-">construct</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;element)</code>
<div class="block">Специальный мемтод, который создает объект типа <a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a> по <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util"><code>Map</code></a>, в котором хранятся
 поля со значениями.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../ru/lanolin/lib/fete/package-summary.html">ru.lanolin.lib.fete</a> that return types with arguments of type <a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Fete.</span><code><span class="memberNameLink"><a href="../../../../../ru/lanolin/lib/fete/Fete.html#getGuests--">getGuests</a></span>()</code>
<div class="block">Метод, возвращающий <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util"><code>List</code></a> гостей, присутствующих на мероприятии.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../ru/lanolin/lib/fete/package-summary.html">ru.lanolin.lib.fete</a> with parameters of type <a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">DoFete.</span><code><span class="memberNameLink"><a href="../../../../../ru/lanolin/lib/fete/DoFete.html#addParticipant-ru.lanolin.lib.human.Human-">addParticipant</a></span>(<a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&nbsp;h)</code>
<div class="block">Добавить участника на мероприятие</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">DoFete.</span><code><span class="memberNameLink"><a href="../../../../../ru/lanolin/lib/fete/DoFete.html#leaveParticipant-ru.lanolin.lib.human.Human-">leaveParticipant</a></span>(<a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&nbsp;h)</code>
<div class="block">Уйти с мероприятия</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../ru/lanolin/lib/fete/package-summary.html">ru.lanolin.lib.fete</a> with type arguments of type <a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>default void</code></td>
<td class="colLast"><span class="typeNameLabel">DoFete.</span><code><span class="memberNameLink"><a href="../../../../../ru/lanolin/lib/fete/DoFete.html#addParticipants-java.util.List-">addParticipants</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&gt;&nbsp;hs)</code>
<div class="block">Добавить на мероприятие множество <a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>default void</code></td>
<td class="colLast"><span class="typeNameLabel">DoFete.</span><code><span class="memberNameLink"><a href="../../../../../ru/lanolin/lib/fete/DoFete.html#leaveParticipants-java.util.Vector-">leaveParticipants</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Vector.html?is-external=true" title="class or interface in java.util">Vector</a>&lt;<a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&gt;&nbsp;guest)</code>
<div class="block">Убрать множество гостей с мероприятие</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructor parameters in <a href="../../../../../ru/lanolin/lib/fete/package-summary.html">ru.lanolin.lib.fete</a> with type arguments of type <a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../ru/lanolin/lib/fete/Fete.html#Fete-java.util.List-int-">Fete</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&gt;&nbsp;databases,
    int&nbsp;creator)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ru.lanolin.lib.human">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a> in <a href="../../../../../ru/lanolin/lib/human/package-summary.html">ru.lanolin.lib.human</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../ru/lanolin/lib/human/package-summary.html">ru.lanolin.lib.human</a> with parameters of type <a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">DoHuman.</span><code><span class="memberNameLink"><a href="../../../../../ru/lanolin/lib/human/DoHuman.html#bowOut-ru.lanolin.lib.human.Human-">bowOut</a></span>(<a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&nbsp;other)</code>
<div class="block">Раскланиваться с другим участником</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Human.</span><code><span class="memberNameLink"><a href="../../../../../ru/lanolin/lib/human/Human.html#compare-ru.lanolin.lib.human.Human-ru.lanolin.lib.human.Human-">compare</a></span>(<a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&nbsp;o1,
       <a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&nbsp;another)</code>
<div class="block">Сравнивает двух <a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><span class="typeNameLabel">Human.</span><code><span class="memberNameLink"><a href="../../../../../ru/lanolin/lib/human/Human.html#compareTo-ru.lanolin.lib.human.Human-">compareTo</a></span>(<a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&nbsp;another)</code>
<div class="block">Сравнивает двух <a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a> по оценке за наряд</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">DoHuman.</span><code><span class="memberNameLink"><a href="../../../../../ru/lanolin/lib/human/DoHuman.html#great-ru.lanolin.lib.human.Human-">great</a></span>(<a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&nbsp;other)</code>
<div class="block">Поприветсвовать другого участника</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>abstract void</code></td>
<td class="colLast"><span class="typeNameLabel">Human.</span><code><span class="memberNameLink"><a href="../../../../../ru/lanolin/lib/human/Human.html#rateOutfit-ru.lanolin.lib.human.Human-">rateOutfit</a></span>(<a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&nbsp;other)</code>
<div class="block">Оценит наряд другого <a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human"><code>Human</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>default void</code></td>
<td class="colLast"><span class="typeNameLabel">DoHuman.</span><code><span class="memberNameLink"><a href="../../../../../ru/lanolin/lib/human/DoHuman.html#repeat-ru.lanolin.lib.human.Human-ru.lanolin.lib.enums.Phrases-">repeat</a></span>(<a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&nbsp;other,
      <a href="../../../../../ru/lanolin/lib/enums/Phrases.html" title="enum in ru.lanolin.lib.enums">Phrases</a>&nbsp;phrase)</code>
<div class="block">Повторить особенную фразу другому участнику</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ru.lanolin.server">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a> in <a href="../../../../../ru/lanolin/server/package-summary.html">ru.lanolin.server</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../ru/lanolin/server/package-summary.html">ru.lanolin.server</a> that return types with arguments of type <a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</a>&lt;<a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">MasterDB.</span><code><span class="memberNameLink"><a href="../../../../../ru/lanolin/server/MasterDB.html#getAllHumans--">getAllHumans</a></span>()</code>
<div class="block">Получает всех восстановленных пользователей из БД</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ru.lanolin.server.thread">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a> in <a href="../../../../../ru/lanolin/server/thread/package-summary.html">ru.lanolin.server.thread</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../ru/lanolin/server/thread/package-summary.html">ru.lanolin.server.thread</a> with type parameters of type <a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</a>&lt;<a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Human</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">OneClientAnswThread.</span><code><span class="memberNameLink"><a href="../../../../../ru/lanolin/server/thread/OneClientAnswThread.html#vectorHuman">vectorHuman</a></span></code>
<div class="block"><a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util"><code>ArrayList</code></a> отправляемы данные</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../ru/lanolin/lib/human/Human.html" title="class in ru.lanolin.lib.human">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?ru/lanolin/lib/human/class-use/Human.html" target="_top">Frames</a></li>
<li><a href="Human.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
